Subject: file mode for 'cmp'
From: [email-masked] ("McKay, Farrell")

18 Feb 1997 22:12:43 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <c=AU%a=telememo%p=corpmail%l=TELSTRA/EXCHNG01/[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "[email-masked]'" <[email-masked]>
X-Mailer: Microsoft Exchange Server Internet Mail Connector Version 4.0.994.63
Original-Sender: [email-masked]

I've just noticed that the gnu-win32 port of 'cmp', by default, appears
to open its input files in text mode, rather than binary mode.  Seems
to me that 'cmp' should always use binary mode, without exception, yes?

I noticed this because I was 'cmp'ing two files that I knew were
different,
but which had ^Z characters towards the start of the file.  'cmp'
reported
no differences.

Apologies if this has already been discussed.  I am new to this list.

Farrell.
--
[email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".